@import "variables";

@mixin transition-hover($time: 0.5s) {
	-webkit-transition : all $time;
	-moz-transition    : all $time;
	-ms-transition     : all $time;
	-o-transition      : all $time;
	transition         : all $time;
}

@mixin media-min-width($min-width) {
	@media (min-width : $min-width) {
		@content;
	}
}

@mixin media-max-width($max-width) {
	@media (max-width : $max-width) {
		@content;
	}
}

@mixin media-min-max-width($min-width, $max-width) {
	@media (max-width : $max-width) and (min-width : $min-width) {
		@content;
	}
}

@mixin hover-for-section-item() {
	&:hover {
		border : 1px solid $tw-red;
		
		& img {
			background : $tw-black;
			opacity    : 0.4;
		}
		
		& .play-icon {
			opacity : 1 !important;
		}
	}
}

@mixin horizontally-scroll-for-carousel($items-class-name) {
	@if ($items-class-name == 'col-12') {
		flex-wrap   : nowrap;
		overflow-x  : auto !important;
		& .col-12 {
			display        : inline-block;
			vertical-align : top;
			float          : none;
			width          : 210px !important;
			flex           : none;
		}
	} @else {
		white-space : nowrap;
		overflow-x  : auto;
		& .#{$items-class-name} {
			display        : inline-block;
			vertical-align : top;
			float          : none;
			flex           : none;
			@if ($items-class-name == 'other-pic') {
				width : 1320px;
			}
			@if ($items-class-name == 'scroll-suggestion') {
				width : 1250px;
			}
			@if ($items-class-name == 'scroll-hourly-archive') {
				width : 1532px;
			}
		}
	}
}
